<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>标书流程管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		var validateForm;
		function doSubmit(obj){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
		  if(validateForm.form()){
              if(obj == 1) {
                  $("#flag").val("yes");
              }else {
                  $("#flag").val("no");
			  }
			  $("#inputForm").submit();
			  return true;
		  }
	
		  return false;
		}
		
		$('#btnPresent').click(function () { 

			$.ajax({
	             url:"${ctx}/workbidingdocument/workBidingDocument/present",
	             data:$('#loginForm').serialize(),
	             type:"post",
	             success:function(data){
	        
	             }					
		});
		});	
			
		$(document).ready(function() {
			validateForm = $("#inputForm").validate({
				submitHandler: function(form){
					loading('正在提交，请稍等...');
					form.submit();
				},
				errorContainer: "#messageBox",
				errorPlacement: function(error, element) {
					$("#messageBox").text("输入有误，请先更正。");
					if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
						error.appendTo(element.parent().parent());
					} else {
						error.insertAfter(element);
					}
				}
			});

            if (${requestScope.disabled eq 'false'}) {
                $("#startTime").attr('disabled',true);
                $("#endTime").attr('disabled',true);
                $("#reason").attr('disabled',true);
            }
		});
	</script>
</head>

<body class="gray-bg">

  <div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>标书详情 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="javascript:void(0)">选项1</a>
				</li>
				<li><a href="javascript:void(0)">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
		<div class="ibox-content">
		<form:form id="inputForm" modelAttribute="workBidingDocument" action="${ctx}/workbidingdocument/workBidingDocument/saveAudit" method="post" class="form-horizontal">
		<form:hidden path="id"/>
		<form:hidden path="act.taskId"/>
		<form:hidden path="act.taskName"/>
		<form:hidden path="act.taskDefKey"/>
		<form:hidden path="act.procInsId"/>
		<form:hidden path="act.procDefId"/>
		<form:hidden id="flag" path="act.flag"/>
		<sys:message content="${message}"/>
			<c:set var="status" value="${workBidingDocument.act.status}" />
			<div class="control-group">
				<label class="control-label">项目名称：</label>
				<div class="controls">
					${workBidingDocument.workBidProject.projectName}
				</div>
			</div>
			<div class="control-group">
				<label class="control-label">项目编号：</label>
				<div class="controls">
					${workBidingDocument.workBidProject.projectNumber}
				</div>
			</div>
			<div class="control-group">
				<label class="control-label">项目类型：</label>
				<div class="controls">
					${fns:getMainDictLabel(workBidingDocument.workBidProject.projectType, 'contract_type', '')}
				</div>
			</div>
			<div class="control-group">
				<label class="control-label">标书备注：</label>
				<div class="controls">
					${workBidingDocument.remarks}
				</div>
			</div>

			<c:if test="${not empty status}">
				<div class="control-group">
					<label class="control-label">审批意见：</label>
					<div class="controls">
						<form:textarea path="act.comment" class="form-control" rows="3" maxlength="127"/>
					</div>
				</div>
			</c:if>
			<act:flowChart procInsId="${workBidingDocument.act.procInsId}"/>
			<act:histoicFlow procInsId="${workBidingDocument.act.procInsId}"/>
	</form:form>
	</div>
	</div>
	</div>
</body>
</html>